## azure-cli 2.36.0

=== debian/changelog ===
azure-cli (2.36.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Apr 2022 23:28:58 +0100

azure-cli (2.36.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.36.0' into debian/sid
  * Bump dependency on python3-msal-extensions to >= 1.0.0

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Apr 2022 13:54:25 +0100

=== debian/control ===
Source: azure-cli
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pylint <!nocheck>,
               python3-all,
               python3-argcomplete,
               python3-antlr4 <!nocheck>,
               python3-azure (>= 20220302+git~),
               python3-azure-cosmos,
               python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
               python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
               python3-azure-functions-devops-build <!nocheck>,
               python3-azure-multiapi-storage (>= 0.4.1-1~) <!nocheck>,
               python3-bcrypt (>= 3.2.0~) <!nocheck>,
               python3-colorama <!nocheck>,
               python3-cryptography (>= 3.3.0~) <!nocheck>,
               python3-decorator <!nocheck>,
               python3-distro <!nocheck>,
               python3-distutils,
               python3-fabric,
               python3-flake8 <!nocheck>,
               python3-github <!nocheck>,
               python3-humanfriendly <!nocheck>,
               python3-javaproperties <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-jmespath <!nocheck>,
               python3-jsondiff <!nocheck>,
               python3-jwt (>= 2.1.0~) <!nocheck>,
               python3-knack (>= 0.9.0~) <!nocheck>,
               python3-msal (>= 1.16.0~) <!nocheck>,
               python3-msal-extensions (>= 1.0.0~) <!nocheck>,
               python3-msrest (>= 0.6.18-1~) <!nocheck>,
               python3-nacl <!nocheck>,
               python3-openssl <!nocheck>,
               python3-packaging <!nocheck>,
               python3-pkginfo,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-scp <!nocheck>,
               python3-setuptools,
               python3-semver <!nocheck>,
               python3-sshtunnel <!nocheck>,
               python3-tabulate <!nocheck>,
               python3-tz <!nocheck>,
               python3-vcr <!nocheck>,
               python3-websocket <!nocheck>,
               python3-xmltodict <!nocheck>,
Standards-Version: 4.6.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cli
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cli
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cli.git
Testsuite: autopkgtest-pkg-python

Package: azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-azure-cli (>= ${source:Version}),
Description: Azure Command-Line Interface (CLI)
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the az executable and bash completion.

Package: python3-azure-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-azure-cli-core (>= ${source:Version}),
Recommends: python3-azext-devops,
Description: Azure Command-Line Interface (CLI) - commands modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli python3 module.

Package: python3-azure-cli-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
 python3-decorator, python3-azure-cli-telemetry (>= ${source:Version}),
Description: Azure Command-Line Interface (CLI) - core modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-core python3 module.

Package: python3-azure-cli-telemetry
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI) - telemetry modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-telemetry python3 module.

Package: python3-azure-cli-testsdk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Command-Line Interface (CLI) - testsdk modules
 The Azure command-line interface (CLI) is Microsoft's cross-platform
 command-line experience for managing Azure resources. The Azure CLI is designed
 to be easy to learn and get started with, but powerful enough to be a great
 tool for building custom automation to use Azure resources.
 .
 This package provides the azure-cli-tesdk python3 module.

## azure-cli 2.38.0

=== debian/changelog ===
azure-cli (2.38.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Revert "Switch from register-python-argcomplete3 to register-python-
    argcomplete"

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Jul 2022 19:16:41 +0100

azure-cli (2.38.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.38.0' into debian/sid
  * Bump build-dependencies

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Jul 2022 12:38:41 +0100

azure-cli (2.37.0-2) unstable; urgency=medium

  * Switch from register-python-argcomplete3 to register-python-
    argcomplete (Closes: #1013629)

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 14:06:24 +0100

azure-cli (2.37.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.37.0' into debian/sid
  * Bump Standards-Version to 4.6.1, no changes
  * Bump dependencies on python3-msal and python3-azure-multiapi-storage

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 May 2022 15:25:10 +0100

## azure-cli 2.39.0

=== debian/changelog ===
azure-cli (2.39.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Aug 2022 00:19:24 +0100

azure-cli (2.39.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.39.0' into newver
  * Skip new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Aug 2022 12:45:21 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
-               python3-azure-multiapi-storage (>= 0.4.1-1~) <!nocheck>,
+               python3-azure-multiapi-storage (>= 0.9.0~) <!nocheck>,
                python3-bcrypt (>= 3.2.0~) <!nocheck>,
                python3-colorama <!nocheck>,
                python3-cryptography (>= 3.3.0~) <!nocheck>,
@@ -25,12 +25,13 @@
                python3-github <!nocheck>,
                python3-humanfriendly <!nocheck>,
                python3-javaproperties <!nocheck>,
-               python3-jinja2 <!nocheck>,
+               python3-jinja2 (>= 3.0.0~) <!nocheck>,
                python3-jmespath <!nocheck>,
                python3-jsondiff <!nocheck>,
                python3-jwt (>= 2.1.0~) <!nocheck>,
                python3-knack (>= 0.9.0~) <!nocheck>,
-               python3-msal (>= 1.16.0~) <!nocheck>,
+               python3-markupsafe (>= 2.0.0~) <!nocheck>,
+               python3-msal (>= 1.18.0~) <!nocheck>,
                python3-msal-extensions (>= 1.0.0~) <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-nacl <!nocheck>,
@@ -49,7 +50,7 @@
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-cli 2.40.0

=== debian/changelog ===
azure-cli (2.40.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Sep 2022 14:54:27 +0100

azure-cli (2.40.0-1) unstable; urgency=medium

  * Update Lintian overrides
  * Merge tag 'azure-cli-2.40.0' into debian/sid
  * Bump dependencies on knack and azure-multiapi-storage
  * Ignore az.ps1, Windows file

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Sep 2022 12:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
-               python3-azure-multiapi-storage (>= 0.9.0~) <!nocheck>,
+               python3-azure-multiapi-storage (>= 0.10.0~) <!nocheck>,
                python3-bcrypt (>= 3.2.0~) <!nocheck>,
                python3-colorama <!nocheck>,
                python3-cryptography (>= 3.3.0~) <!nocheck>,
@@ -29,7 +29,7 @@
                python3-jmespath <!nocheck>,
                python3-jsondiff <!nocheck>,
                python3-jwt (>= 2.1.0~) <!nocheck>,
-               python3-knack (>= 0.9.0~) <!nocheck>,
+               python3-knack (>= 0.10.0~) <!nocheck>,
                python3-markupsafe (>= 2.0.0~) <!nocheck>,
                python3-msal (>= 1.18.0~) <!nocheck>,
                python3-msal-extensions (>= 1.0.0~) <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9
export PYBUILD_BEFORE_TEST=cp -r {dir}/src/azure-cli-core/azure/cli/core/extension/tests/ {build_dir}/tests_extension; \
	cp -r {dir}/src/azure-cli-core/azure/cli/core/tests/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acr/tests/latest/test_acr_commands_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_acs_client.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_helpers.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_service_principals.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/advisor/tests/latest/test_advisor_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_app_service_environment_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_webapp_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/batch/tests/latest/test_batch_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/botservice/tests/latest/test_bot_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_origin_type.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cloud/tests/latest/test_cloud.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/configure/tests/latest/test_configure.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/find/tests/latest/test_find.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/lab/tests/latest/test_lab_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/hybrid_2018_03_01 {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_dns_commands.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/test_network_unit_tests.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/network/tests/latest/zone_files/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/profile/tests/latest/test_profile_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/hybrid_2018_03_01/ {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_api_check.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_list_odata_filter.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/test_resource_validators.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-template.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/resource/tests/latest/param-validation-params.json {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_commands_thru_mock.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/test_role_custom.py {build_dir}/tests_core/; \
	cp -r {dir}/src/azure-cli/azure/cli/command_modules/role/tests/latest/cert.pem {build_dir}/tests_core/
export PYBUILD_AFTERE_TEST=rm -rf {build_dir}/tests*
export PYBUILD_TEST_ARGS=-v --deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_twice \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_verify_no_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_but_it_already_exists \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_name_valid_checksum \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_system_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_user_system_extensions \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_list_show_remove_extension_with_dashes \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_same_extension_user_system \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_exception_in_update_and_rolled_back \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_extra_index_url \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_no_updates \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_verify_no_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_update_extension_with_pip_proxy \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_azure_to_path \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_to_path \
	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_specific_version \
	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_30_0_extension_metadata \
	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_31_0_extension_metadata \
	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
	--deselect=tests_core/test_bot_commands.py::BotTests \
	--deselect=tests_core/test_cloud.py::SubscriptionSuppressionTest::test_subscription_suppression \
	--deselect=tests_core/test_cloud.py::CloudTests::test_cloud_scenario \
	--deselect=tests_core/test_configure.py::LocalContextCommandsScenarioTest::test_local_context_commands \
	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_metadata1 \
	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_version \
	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \

## azure-cli 2.41.0

=== debian/changelog ===
azure-cli (2.41.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Oct 2022 10:03:35 +0100

azure-cli (2.41.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.41.0' into debian/sid
  * Ignore azps.ps1, Windows file
  * Update test handling following upstream changes

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Oct 2022 10:17:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,8 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/src/azure-cli-core/azure/cli/core/extension/tests/ {build_dir}/tests_extension; \
 	cp -r {dir}/src/azure-cli-core/azure/cli/core/tests/ {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acr/tests/latest/test_acr_commands_mock.py {build_dir}/tests_core/; \
-	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_acs_client.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_custom.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_helpers.py {build_dir}/tests_core/; \
-	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_service_principals.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/acs/tests/latest/test_validators.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/advisor/tests/latest/test_advisor_commands.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_app_service_environment_commands_thru_mock.py {build_dir}/tests_core/; \
@@ -59,6 +57,7 @@
 	--deselect=tests_extension/latest/test_extension_commands.py::TestExtensionCommands::test_add_extension_with_specific_version \
 	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_30_0_extension_metadata \
 	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_31_0_extension_metadata \
+	--deselect=tests_core/test_acr_commands_mock.py::AcrMockCommandsTests::test_get_docker_credentials \
 	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \
@@ -70,3 +69,4 @@
 	--deselect=tests_core/test_extension.py::TestWheelSystemExtension::test_wheel_version \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
 	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
+	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \

## azure-cli 2.42.0

=== debian/changelog ===
azure-cli (2.42.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Nov 2022 00:03:58 +0000

azure-cli (2.42.0-1) unstable; urgency=medium

  * Bump python3-msal dependency requirement
  * Drop obsolete dependency
  * Merge tag 'azure-cli-2.42.0' into debian/sid
  * Add new dependency on pymysql

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 22:25:17 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
                python3-azure (>= 20220302+git~),
-               python3-azure-cosmos,
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
@@ -31,7 +30,7 @@
                python3-jwt (>= 2.1.0~) <!nocheck>,
                python3-knack (>= 0.10.0~) <!nocheck>,
                python3-markupsafe (>= 2.0.0~) <!nocheck>,
-               python3-msal (>= 1.18.0~) <!nocheck>,
+               python3-msal (>= 1.20.0~) <!nocheck>,
                python3-msal-extensions (>= 1.0.0~) <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-nacl <!nocheck>,
@@ -39,6 +38,7 @@
                python3-packaging <!nocheck>,
                python3-pkginfo,
                python3-psutil <!nocheck>,
+               python3-pymysql <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
                python3-scp <!nocheck>,

## azure-cli 2.43.0

=== debian/changelog ===
azure-cli (2.43.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Dec 2022 12:00:57 +0000

azure-cli (2.43.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.43.0' into debian/sid
  * Bump dependency on python3-azure
  * Drop dependency on python3-azure-devtools, deprecated
  * Add new build dependency on python3-configargparse
  * Add patch to fix build with Python 3.11 (Closes: #1024856)
  * Skip more broken tests incompatible with python 3.11

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Dec 2022 17:37:01 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20220302+git~),
+               python3-azure (>= 20221101+git~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
-               python3-azure-devtools (>= 1.2.0-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 0.10.0~) <!nocheck>,
                python3-bcrypt (>= 3.2.0~) <!nocheck>,
                python3-colorama <!nocheck>,
+               python3-configargparse <!nocheck>,
                python3-cryptography (>= 3.3.0~) <!nocheck>,
                python3-decorator <!nocheck>,
                python3-distro <!nocheck>,

## azure-cli 2.44.1

=== debian/changelog ===
azure-cli (2.44.1-2) unstable; urgency=medium

  * Note new minimum python3-azure and python3-azure-multiapi-storage
    required versions

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Jan 2023 14:09:35 +0000

azure-cli (2.44.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.44.1' into debian/sid
  * Drop subparser-fix.patch, fixed upstream
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Jan 2023 10:47:45 +0000

## azure-cli 2.45.0

=== requirements.txt ===
# basic
setuptools==52.0.0
pip>=9.0.1

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/az.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/az.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/az"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/az"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2==3.0.3
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.45.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.45.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Feb 2023 00:59:20 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20221101+git~),
+               python3-azure (>= 20230112+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
-               python3-azure-multiapi-storage (>= 0.10.0~) <!nocheck>,
+               python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
                python3-bcrypt (>= 3.2.0~) <!nocheck>,
                python3-colorama <!nocheck>,
                python3-configargparse <!nocheck>,
@@ -50,7 +50,7 @@
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/azure-cli-?(\d\S+)\.tar\.gz/azure-cli_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-cli/tags .*/azure-cli-?(\d\S+)\.tar\.gz

## azure-cli 2.50.0

=== debian/changelog ===
azure-cli (2.50.0-2kali1) kali-dev; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Python3.12 has deprecated assertNotEquals thus do
     s/assertNotEquals/assertNotEqual/g in tests
    Closes: #1057393

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Feb 2024 17:30:22 +0100

azure-cli (2.50.0-2) unstable; urgency=medium

  * Bump dependency on python-azure to 20230705+git-1~ (Closes: #1040406)

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Jul 2023 14:26:34 +0100

azure-cli (2.50.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.50.0'
  * Override new Lintian false positives

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Jul 2023 12:00:59 +0100

azure-cli (2.49.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.49.0'
  * Drop python3-pymysql dependency, no longer needed
  * Add dependencies on paramiko and oauthlib
  * Skip new test that requires network access

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Jun 2023 10:28:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20230112+git-1~),
+               python3-azure (>= 20230705+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
@@ -34,11 +34,12 @@
                python3-msal-extensions (>= 1.0.0~) <!nocheck>,
                python3-msrest (>= 0.6.18-1~) <!nocheck>,
                python3-nacl <!nocheck>,
+               python3-oauthlib <!nocheck>,
                python3-openssl <!nocheck>,
                python3-packaging <!nocheck>,
+               python3-paramiko <!nocheck>,
                python3-pkginfo,
                python3-psutil <!nocheck>,
-               python3-pymysql <!nocheck>,
                python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
                python3-scp <!nocheck>,

## azure-cli 2.63.0

=== debian/changelog ===
azure-cli (2.63.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.63.0'
  * Drop python 3.12 patch, does not apply anymore
  * Drop python3-distutils dependency (Closes: #1065832)
  * Bump dependency on python-azure
  * Ignore new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Aug 2024 12:37:00 +0100

azure-cli (2.62.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.62.0' (Closes: #1073411,
    #1072312)
  * Skip new failing tests
  * Bump dependency on python-azure to 20240709+git-1~

 -- Luca Boccassi <bluca@debian.org>  Wed, 10 Jul 2024 00:17:50 +0100

azure-cli (2.61.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Python3.12 has deprecated assertNotEquals thus do
     s/assertNotEquals/assertNotEqual/g in tests
    Closes: #1057393

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/2.61.0'
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Bump dependency on python-azure to 20240522+git-1
  * Skip new failing tests
  * Drop dependency on python3-distutils (Closes: #1065832)
  * Ignore files that change due to CLRF when building source packages

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 May 2024 01:18:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20230705+git-1~),
+               python3-azure (>= 20240806+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
@@ -18,7 +18,6 @@
                python3-cryptography (>= 3.3.0~) <!nocheck>,
                python3-decorator <!nocheck>,
                python3-distro <!nocheck>,
-               python3-distutils,
                python3-fabric,
                python3-flake8 <!nocheck>,
                python3-github <!nocheck>,
@@ -51,7 +50,7 @@
                python3-vcr <!nocheck>,
                python3-websocket <!nocheck>,
                python3-xmltodict <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no
@@ -86,7 +85,7 @@
 
 Package: python3-azure-cli-core
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils,
+Depends: ${misc:Depends}, ${python3:Depends},
  python3-decorator, python3-azure-cli-telemetry (>= ${source:Version}),
 Description: Azure Command-Line Interface (CLI) - core modules
  The Azure command-line interface (CLI) is Microsoft's cross-platform

## azure-cli 2.64.0

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2==3.1.4
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.64.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.64.0'
  * Bump dependency on python-azure
  * Fix extensions lookup due to backward incompatible distutils
    deprecation

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Sep 2024 14:46:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20240806+git-1~),
+               python3-azure (>= 20240903+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/appservice/tests/latest/test_webapp_commands_thru_mock.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/batch/tests/latest/test_batch_commands.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/botservice/tests/latest/test_bot_commands.py {build_dir}/tests_core/; \
-	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_origin_type.py {build_dir}/tests_core/; \
-	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cdn/tests/latest/test_validators.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/cloud/tests/latest/test_cloud.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/configure/tests/latest/test_configure.py {build_dir}/tests_core/; \
 	cp -r {dir}/src/azure-cli/azure/cli/command_modules/find/tests/latest/test_find.py {build_dir}/tests_core/; \
@@ -70,3 +68,5 @@
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_yaml \
 	--deselect=tests_core/test_dns_commands.py::DnsZoneImportTest \
 	--deselect=tests_core/test_dns_commands.py::DnsScenarioTest \
+	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_resource_group \
+	--deselect=tests_core/test_advisor_commands.py::AzureAdvisorScenarioTest::test_configurations_subscription \

## azure-cli 2.65.0

=== debian/changelog ===
azure-cli (2.65.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.65.0'
  * Bump dependency on python-azure
  * Update ignore mask for CRLF diffs
  * Ignore new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 15:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20240903+git-1~),
+               python3-azure (>= 20241008+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.66.0

=== debian/changelog ===
azure-cli (2.66.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.66.0'
  * Bump dependency on python3-azure
  * Skip new failing test

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Nov 2024 12:42:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20241008+git-1~),
+               python3-azure (>= 20241111+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.67.0

=== debian/changelog ===
azure-cli (2.67.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.67.0'
  * Bump dependency on python3-azure
  * Skip new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Nov 2024 11:06:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20241111+git-1~),
+               python3-azure (>= 20241119+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.68.0

=== debian/changelog ===
azure-cli (2.68.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.68.0'
  * Bump dependency on python3-azure
  * Skip new failing test

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Jan 2025 12:51:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20241119+git-1~),
+               python3-azure (>= 20250114+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.69.0

=== scripts/release/homebrew/docker/requirements.txt ===
homebrew-pypi-poet~=0.10.0
jinja2==3.1.5
requests>=2.20.0
applicationinsights >=0.11.1,<0.11.8

=== debian/changelog ===
azure-cli (2.69.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.69.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 11:24:24 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20250114+git-1~),
+               python3-azure (>= 20250211+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

## azure-cli 2.70.0

=== debian/changelog ===
azure-cli (2.70.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.70.0'
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Mar 2025 13:26:14 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20250211+git-1~),
+               python3-azure (>= 20250304+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,7 @@
 	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_30_0_extension_metadata \
 	--deselect=tests_extension/latest/test_wheel_type_extension.py::TestWheelTypeExtensionMetadata::test_reading_wheel_type_0_31_0_extension_metadata \
 	--deselect=tests_core/test_acr_commands_mock.py::AcrMockCommandsTests::test_get_docker_credentials \
+	--deselect=tests_core/test_argcomplete.py::ArgcompleteScenarioTest::test_completion \
 	--deselect=tests_core/test_help.py::HelpTest::test_help_loads \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_json \
 	--deselect=tests_core/test_help.py::TestHelpLoads::test_load_from_help_py \

## azure-cli 2.71.0

=== debian/changelog ===
azure-cli (2.71.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.71.0'
  * Bump dependency on python-azure
  * Skip new failing unit tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Apr 2025 12:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-argcomplete,
                python3-antlr4 <!nocheck>,
-               python3-azure (>= 20250304+git-1~),
+               python3-azure (>= 20250401+git-1~),
                python3-azure-datalake-store (>= 0.0.49-1~) <!nocheck>,
                python3-azure-functions-devops-build <!nocheck>,
                python3-azure-multiapi-storage (>= 1.0.0~) <!nocheck>,
